summaryrefslogtreecommitdiff
path: root/games-board/domination
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /games-board/domination
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'games-board/domination')
-rw-r--r--games-board/domination/Manifest1
-rw-r--r--games-board/domination/domination-1.1.1.6-r1.ebuild47
-rw-r--r--games-board/domination/metadata.xml12
3 files changed, 60 insertions, 0 deletions
diff --git a/games-board/domination/Manifest b/games-board/domination/Manifest
new file mode 100644
index 000000000000..2dd5dd191fe5
--- /dev/null
+++ b/games-board/domination/Manifest
@@ -0,0 +1 @@
+DIST Domination_1.1.1.6.zip 6567410 BLAKE2B 5868011017c9aae937d3d21c8568a541a5170a716c6762e2802e5fdb34a31dd7c4c61a0670278b211e6227f42bc996a81547b04d71533c83dfb2f6045dd190cb SHA512 46f4499f285f86cf94914ef62b25a52aa3b9848721c24900ec172f9b41d846dab07e288c564321486d451caee6049b4f4cb0ab475e378aa6df670e656b5b1fe6
diff --git a/games-board/domination/domination-1.1.1.6-r1.ebuild b/games-board/domination/domination-1.1.1.6-r1.ebuild
new file mode 100644
index 000000000000..13d0698db48c
--- /dev/null
+++ b/games-board/domination/domination-1.1.1.6-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="The well-known board game, written in java"
+HOMEPAGE="http://domination.sourceforge.net"
+SRC_URI="mirror://sourceforge/domination/Domination_${PV}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.5"
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip"
+
+S=${WORKDIR}/Domination
+
+EANT_BUILD_TARGET="game"
+
+pkg_setup() {
+ java-pkg-2_pkg_setup
+}
+
+src_compile() {
+ java-pkg-2_src_compile
+}
+
+src_install() {
+ newbin "${S}"/FlashGUI.sh ${PN}
+ sed -i \
+ -e "s|cd.*|cd \"/usr/share\"/${PN}|" \
+ "${D}/usr/bin"/${PN} \
+ || die
+ chmod +x "${D}/usr/bin"/${PN} || die
+
+ insinto "/usr/share/${PN}"
+ doins -r "${S}"/*
+ rm -f "${D}/usr/share"/${PN}/*.cmd || die
+ java-pkg_regjar "${D}//usr/share/${PN}"/*.jar
+
+ newicon resources/icon.png ${PN}.png
+ make_desktop_entry ${PN} "Domination"
+}
diff --git a/games-board/domination/metadata.xml b/games-board/domination/metadata.xml
new file mode 100644
index 000000000000..7cda5a36db9c
--- /dev/null
+++ b/games-board/domination/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">domination</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>